Subject: Re: Kernel symbol version history

From: "David H. Lynch Jr." <[email-masked]>
Date: Sun, 09 Dec 2007 11:41:29 -0500

Thank you.

       I made use of one of the linux cross reference sites.
       Though unless I don't know how to effectively use them trying to
track the history of a function, typdef, define, ..
       is not particularly easy using lxr.

       Grant's sugestion with git was closer to what I was looking for -
except that in some instances 
    needed to go back farther than it would take me..

Jean-Christophe Dubois wrote:
> Hi David,
>
> You could try the various "linux cross reference" web site out there. It is 
> not necessarily complete (some linux version might be missing)  but it can be 
> usefull to lookup if some symbols/define/typedef were available in a 
> particular Linux version.
>
> Have a look there.
>
> http://free-electrons.com/community/kernel/lxr
>
> Regards
>
> JC
>
> On Wednesday 05 December 2007 17:17:25 David H. Lynch Jr. wrote:
>   
>>     This might be slightly OT here, but would anyone know where there
>> might be a reference that indicates at precisely what version a given
>> symbol either appeared or disappeared within the  Linux kernel ?
>>
>>      As an example if a driver is supposed to work for 2.6 and 2.4 and
>> uses sysfs, or cdev, or alloc_chr_dev_region or ...
>>     How can one tell at what point that api or symbol appeared so that
>> the proper conditionals appear within the driver.
>>
>>     The last one that bit me was I made a collection of casting changes
>> to address 64bit vs. 32bit targets, and found that using the C99 fixed
>> size types - uint32_t, ... made life much more pleasant, after putting
>> them I nobody else could build because uintptr_t did not appear until
>> 2.6.24, and I still have not figured out exactly when uint32_t etc.
>> appeared.
>>
>>     I would think there ought to be some resource besides group memory
>> to look this up ?
>>     Is there a way to use git to look back through the history of a
>> symbol rather than a file.
>>     
>
>
>   

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein